# Using Marketplace

Administrators can access the SonarQube Marketplace via **Administration** > **Marketplace**. The Marketplace tab is the place for keeping the pieces of your SonarQube platform up to date. It lets you:

See:

* Which plugins are installed
* Whether plugin updates are available
* Which other plugins are compatible with your version of SonarQube

Discover:

* Which other SonarQube implementations are available, to enable more features

Install:

* New plugins
* Plugin updates

{% hint style="warning" %}
A third-party website called sonarplugins.com also exists. This website is not the same as the Marketplace and is not endorsed by, affiliated with, maintained, authorized, or sponsored by Sonar.
{% endhint %}

## Setting up SonarQube to connect to the internet <a href="#setting-up-to-connect-to-internet" id="setting-up-to-connect-to-internet"></a>

Your SonarQube Community Build instance needs internet access to check for and install plugin updates. If your SonarQube is located behind a proxy, additional set up is required.

<details>

<summary>Internet sites used by the Marketplace</summary>

The Marketplace connects to <https://downloads.sonarsource.com/?prefix=sonarqube/update> to get the list of plugins. Most of the referenced plugins are downloaded from:

* <https://binaries.sonarsource.com/>
* <https://github.com/>

</details>

<details>

<summary>If your instance is secured behind a proxy</summary>

Marketplace uses HTTP(S) connections to external servers to provide these services. If your SonarQube is located behind a proxy, you must provide additional information in `<sonarqubeHome>/conf/sonar.properties` as shown below. The same properties can be used in the `https.*` form for HTTPS connections.

```css-79elbk
http.proxyHost=<your.proxy.host>
http.proxyPort=<yout.proxy.port>

#If proxy authentication is required
http.proxyUser=<your.proxy.user>
http.proxyPassword=<your.proxy.password> 
```

</details>

<details>

<summary>If your instance doesn’t have internet access</summary>

* To install a plugin, see [Installing a plugin](/sonarqube-community-build/server-installation/plugins/install-a-plugin.md).
* You may get errors in your logs when the Marketplace tries to search for new plugins. You can stop this by updating `sonar.updatecenter.activate` in `<sonarqubeHome>/conf/sonar.properties`.

</details>

## Installing, updating, or uninstalling a plugin <a href="#performing-plugin-operations" id="performing-plugin-operations"></a>

You need the Administer System global permission to perform these operations.

To install or update a plugin:

1. Go to **Administration** > **Marketplace > Plugins**.
2. Retrieve the plugin or plugin update you want to install and select **Install**.\
   Once the download is complete, a **Restart** button will be available to restart your instance. Restarting will enable the new plugin. This restart will not take into account any change to `sonar-properties` settings.
3. Select the **Restart** button.

To uninstall a plugin:

1. Go to **Administration** > **Marketplace > Plugins**.
2. Retrieve the plugin you want to uninstall and select **Uninstall**.

## Deploying your plugin to the Marketplace <a href="#deploying-to-the-marketplace" id="deploying-to-the-marketplace"></a>

If you have developed a SonarQube plugin, you can check out the [requirements](https://community.sonarsource.com/t/deploying-to-the-marketplace/35236) for adding it to the Marketplace in the [Plugin Development community](https://community.sonarsource.com/c/plugins/15).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sonarsource.com/sonarqube-community-build/server-update-and-maintenance/update/marketplace.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
